Get Chart Card Definition
curl --request GET \
--url https://api.domo.com/v1/cards/chart/{cardUrn} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.domo.com/v1/cards/chart/{cardUrn}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.domo.com/v1/cards/chart/{cardUrn}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"calculatedFields": [
{
"formula": "<string>",
"id": "<string>",
"name": "<string>",
"saveToDataSet": true
}
],
"chartBody": {
"columns": [
{
"aggregation": "<string>",
"alias": "<string>",
"calendar": true,
"column": "<string>",
"format": {
"alignment": "<string>",
"commas": true,
"currency": "<string>",
"dateFormat": "<string>",
"format": "<string>",
"percent": true,
"percentMultiplied": true,
"precision": 123,
"style": "<string>",
"tableColumn": {
"aggregation": "<string>",
"hideSubtotal": true,
"hideTotal": true,
"percentOfTotal": true,
"width": 123
},
"type": "<string>"
},
"mapping": "<string>"
}
],
"dateGrain": {
"column": "<string>",
"dateTimeElement": "<string>"
},
"dateRangeFilter": {
"filterType": "<string>",
"field": "<string>",
"from": 123,
"not": true,
"to": 123
},
"distinct": true,
"filters": [
{
"column": "<string>",
"operand": "<string>",
"values": [
"<string>"
]
}
],
"fiscal": true,
"groupBy": [
{
"aggregation": "<string>",
"alias": "<string>",
"calendar": true,
"column": "<string>",
"format": {
"alignment": "<string>",
"commas": true,
"currency": "<string>",
"dateFormat": "<string>",
"format": "<string>",
"percent": true,
"percentMultiplied": true,
"precision": 123,
"style": "<string>",
"tableColumn": {
"aggregation": "<string>",
"hideSubtotal": true,
"hideTotal": true,
"percentOfTotal": true,
"width": 123
},
"type": "<string>"
},
"mapping": "<string>"
}
],
"limit": 123,
"offset": 123,
"orderBy": [
{
"aggregation": "<string>",
"alias": "<string>",
"calendar": true,
"column": "<string>",
"format": {
"alignment": "<string>",
"commas": true,
"currency": "<string>",
"dateFormat": "<string>",
"format": "<string>",
"percent": true,
"percentMultiplied": true,
"precision": 123,
"style": "<string>",
"tableColumn": {
"aggregation": "<string>",
"hideSubtotal": true,
"hideTotal": true,
"percentOfTotal": true,
"width": 123
},
"type": "<string>"
},
"mapping": "<string>"
}
],
"projection": true
},
"chartType": "<string>",
"chartVersion": "<string>",
"conditionalFormats": [
{
"condition": {
"column": "<string>",
"operand": "<string>",
"values": [
"<string>"
]
},
"format": {
"applyToRow": true,
"color": "<string>",
"textColor": "<string>",
"textStyle": "<string>"
},
"savedToDataSet": true
}
],
"dataSetId": "<string>",
"description": "<string>",
"goal": 123,
"metadataOverrides": {},
"preferredFullHeight": 123,
"preferredFullWidth": 123,
"quickFilters": [
{
"column": "<string>",
"name": "<string>",
"operator": "<string>",
"type": "<string>",
"values": [
"<string>"
]
}
],
"summaryNumber": {
"columns": [
{
"aggregation": "<string>",
"alias": "<string>",
"calendar": true,
"column": "<string>",
"format": {
"alignment": "<string>",
"commas": true,
"currency": "<string>",
"dateFormat": "<string>",
"format": "<string>",
"percent": true,
"percentMultiplied": true,
"precision": 123,
"style": "<string>",
"tableColumn": {
"aggregation": "<string>",
"hideSubtotal": true,
"hideTotal": true,
"percentOfTotal": true,
"width": 123
},
"type": "<string>"
},
"mapping": "<string>"
}
],
"dateGrain": {
"column": "<string>",
"dateTimeElement": "<string>"
},
"dateRangeFilter": {
"filterType": "<string>",
"field": "<string>",
"from": 123,
"not": true,
"to": 123
},
"distinct": true,
"filters": [
{
"column": "<string>",
"operand": "<string>",
"values": [
"<string>"
]
}
],
"fiscal": true,
"groupBy": [
{
"aggregation": "<string>",
"alias": "<string>",
"calendar": true,
"column": "<string>",
"format": {
"alignment": "<string>",
"commas": true,
"currency": "<string>",
"dateFormat": "<string>",
"format": "<string>",
"percent": true,
"percentMultiplied": true,
"precision": 123,
"style": "<string>",
"tableColumn": {
"aggregation": "<string>",
"hideSubtotal": true,
"hideTotal": true,
"percentOfTotal": true,
"width": 123
},
"type": "<string>"
},
"mapping": "<string>"
}
],
"limit": 123,
"offset": 123,
"orderBy": [
{
"aggregation": "<string>",
"alias": "<string>",
"calendar": true,
"column": "<string>",
"format": {
"alignment": "<string>",
"commas": true,
"currency": "<string>",
"dateFormat": "<string>",
"format": "<string>",
"percent": true,
"percentMultiplied": true,
"precision": 123,
"style": "<string>",
"tableColumn": {
"aggregation": "<string>",
"hideSubtotal": true,
"hideTotal": true,
"percentOfTotal": true,
"width": 123
},
"type": "<string>"
},
"mapping": "<string>"
}
],
"projection": true
},
"title": "<string>",
"urn": "<string>"
}Cards API
Get Chart Card Definition
Retrieves the definition for an existing chart Card.
GET
/
v1
/
cards
/
chart
/
{cardUrn}
Get Chart Card Definition
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
ID of Card
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I